<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.7/dist/umd/popper.min.js"
        integrity="sha384-zYPOMqeu1DAVkHiLqWBUTcbYfZ8osu1Nd6Z89ify25QV9guujx43ITvfi12/QExE"
        crossorigin="anonymous"></script>
    <style>
        .naranja {
            background-color: orange;
        }

        .verde {
            background-color: greenyellow;
        }

        .azul {
            background-color: blue;
        }

        .grey {
            background-color: grey;
        }

        .naranja,
        .verde,
        .azul,
        .grey {
            border: 2px solid black;
        }
    </style>
</head>

<body>

    <!-- Mezclando Bootstrap y CSS-->
    <div class="container-fluid">
        <div class="row">
            <div class="naranja col-lg-6 col-md-12">Naranja</div>
            <div class="naranja col-lg-6 col-md-12">Naranja</div>
        </div>
        <div class="row mt-1">
            <div class="verde col-12">verde</div>
        </div>
        <div class="row  mt-1">
            <div class="azul col-lg-4 col-md-12">Azul</div>
            <div class="azul col-lg-4 col-md-12">Azul</div>
            <div class="azul col-lg-4 col-md-12">Azul</div>
        </div>
        <div class="row mt-1">
            <div class="grey col-lg-3 col-md-6 col-12">Gris</div>
            <div class="grey col-lg-3 col-md-6 d-md-block d-none">Gris</div>
            <div class="grey col-lg-3 col-md-6 d-md-block d-none">Gris</div>
            <div class="grey col-lg-3 col-md-6 d-md-block d-none">Gris</div>
        </div>
    </div>


    <!-- 
        Usando solo Bootstrap

        mb => margin-bottom (separación en Y de cada .row)
        g => (gutter) espaciado entre celdas (g contiene gx y gy) 
        border => borde
        border-3 => ancho del borde
        border-darl => color del borde
        bg => color de fondo
        
    -->

    <div class="container-fluid text-center">
        <div class="row mb-1 g-1">
            <div class="col-lg-6 col-md-12 ">
                <div class="bg-warning  border border-3 border-dark">Naranja</div>
            </div>
            <div class="col-lg-6 col-md-12">
                <div class="bg-warning  border border-3 border-dark">Naranja</div>
            </div>
        </div>
        <div class="row mb-1 g-1">
            <div class="col-12">
                <div class="bg-success border border-3 border-dark">verde</div>
            </div>
        </div>
        <div class="row mb-1 g-1">
            <div class="col-lg-4 col-md-12">
                <div class="bg-primary border border-3 border-dark">Azul</div>
            </div>
            <div class="col-lg-4 col-md-12">
                <div class="bg-primary border border-3 border-dark">Azul</div>
            </div>
            <div class="col-lg-4 col-md-12 ">
                <div class="bg-primary  border border-3 border-dark">Azul</div>
            </div>
        </div>
        <div class="row mb-1 g-1">
            <div class=" col-lg-3 col-md-6 col-12">
                <div class="bg-secondary border border-3 border-dark">Gris</div>
            </div>
            <div class=" col-lg-3 col-md-6 col-12 d-md-block d-none">
                <div class="bg-secondary border border-3 border-dark">Gris</div>
            </div>
            <div class=" col-lg-3 col-md-6 col-12 d-md-block d-none">
                <div class="bg-secondary border border-3 border-dark">Gris</div>
            </div>
            <div class=" col-lg-3 col-md-6 col-12 d-md-block d-none">
                <div class="bg-secondary border border-3 border-dark">Gris</div>
            </div>

        </div>
    </div>
</body>

</html>